Hi,

No, this occurs even if only one client is connected.

I restarted the hbase services to make sure that I had no connection and got the same error after restart with sqlline.

 

Patrick

 

De : Samarth Jain [mailto:samarth.jain@gmail.com]
Envoyé : Thursday, October 6, 2016 6:51 PM
À : user@phoenix.apache.org
Objet : Re: Recover from "Cluster is being concurrently upgraded from 4.7.x to 4.8.x"

 

Patrick,

 

Do you have multiple 4.8.1 clients connecting to the cluster at the same time? 

 

On Thu, Oct 6, 2016 at 8:11 AM, Patrick FICHE <Patrick.Fiche@aqsacom.com> wrote:

Hi,

I upgraded Phoenix server from 4.7.0 to 4.8.1 on HDP cluster.

Now, when I try to connect to my server using sqlline.py from 4.8.1, I get the error "Cluster is being concurrently upgraded from 4.7.x to 4.8.x".

However, I'm still able to connect to the server using sqlline.py from 4.7.0 version.

 

Is there any way to complete the migration status so that I will be able to connect with 4.8 client ?

 

Thanks,